[% PROCESS 'html-incblocks.txt' %]
[% thepath=path(token) %]
[% INCLUDE htmlstart title=thepath printpath=1 %]

<!-- content template file is 'default-dir.html' -->
<h1>[% xmlnorm(nodeParam(token,'comment')) %]</h1>

[% INCLUDE legend %]

<h2>Nodes you can jump to:</h2>
<dl class="Listing">
[%   hasLeaves = 0; hasSubtrees = 0;
     FOREACH child = sortTokens(children(token));
       hidden = 0;
       IF nodeParam(child,'hidden') == 'yes';
         hidden = 1;
       END;
       comment = nodeParam(child,'comment',1);
       IF not hidden or variables.SHOWHIDDEN;
         IF isLeaf(child);
           hasLeaves = hasLeaves + 1;
         ELSE;
           IF isAlias(child);
             thisIsAlias = 1;
             urlTitle=' TITLE="Symbolic link to ' _ path(isAlias(child)) _'"';
             IF isLeaf(isAlias(child));
               hasLeaves = hasLeaves + 1;
             END;
           ELSE;
             hasSubtrees = 1;
             urlTitle = '';
           END;
         END;
%]
  <dt class="NodeName">
      [%- thisIsAlias ? '<em class="Alias">':'';
         hidden ? '<em class="ShowHidden">':'' -%]
<a href="[% url(child) %]"[% urlTitle %]>[% nodeName(child) %]</a>
      [%- hidden ? '</em>':'';
         thisIsAlias ? '</em>':''; -%]
</dt>
  <dd class="NodeDescr">
    [%- IF comment -%]
      [%- hidden ? '<em class="ShowHidden">':'' -%]
      [%- xmlnorm(comment) -%]
      [%- hidden ? '</em>':'' -%]
    [%- ELSE -%]
      No Comment
    [%- END -%]
  [%- END -%]
</dd>
[% END %]
</dl>

<p class="BottomShortcuts">
[% IF hasLeaves > 1;
    INCLUDE shortcut url=url(token, 'expanded-dir-html')
                     text="Expand leaves"
                     title="Show all leaf graphs in one page";
   END;
   IF hasSubtrees and nodeParam(token,'show-recursive',1) == 'yes';
    INCLUDE shortcut url=url(token, 'recursive-dir-html')
                     text="Recursive view"
                     title="Show all subtrees and leaves in one page";

   END;
   INCLUDE overviewShortcuts %]
</p>

[% INCLUDE bottomline %]
[% INCLUDE htmlend %]
